Customer Accounts (Early Access)
Create Funding Source
Create a bank account funding source for a customer account using account and routing numbers.
POST
/
customer-accounts
/
{id}
/
funding-sources
Create Funding Source
curl --request POST \
--url https://api.zeal.com/customer-accounts/{id}/funding-sources \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"account_number": "849201923",
"account_type": "checking",
"companyID": "dzxzll3b45rtrtrtad41c98bbc2b4d566388a44",
"customerAccountID": "23l9ada7ce49eb1496c1cb953e8c",
"routing_number": "314074269"
}
'import requests
url = "https://api.zeal.com/customer-accounts/{id}/funding-sources"
payload = {
"account_number": "849201923",
"account_type": "checking",
"companyID": "dzxzll3b45rtrtrtad41c98bbc2b4d566388a44",
"customerAccountID": "23l9ada7ce49eb1496c1cb953e8c",
"routing_number": "314074269"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
account_number: '849201923',
account_type: 'checking',
companyID: 'dzxzll3b45rtrtrtad41c98bbc2b4d566388a44',
customerAccountID: '23l9ada7ce49eb1496c1cb953e8c',
routing_number: '314074269'
})
};
fetch('https://api.zeal.com/customer-accounts/{id}/funding-sources', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{}Authorizations
Path Parameters
ID of the customer account
Body
application/json
Account number of the bank accout.
Type of the bank account (Accepts "checking" or "savings")
Available options:
checking, savings Routing number of the bank account.
ID of the Company
ID of the Customer Account.
Response
200
The response is of type object.
⌘I
Create Funding Source
